#### D.5.8.2 Equal

Procedure from library `numerAlg.lib` (see numerAlg_lib).

Usage:
  Equal(ideal I, ideal J); I, J ideals

Return:
  t=1 if the algebraic variety defined by I equals to the algebraic variety defined by J, otherwise t=0

Example:

    LIB "numerAlg.lib";
    ring r=0,(x,y,z),dp;
    poly f1=(x2+y2+z2-6)*(x-y)*(x-1);
    poly f2=(x2+y2+z2-6)*(x-z)*(y-2);
    poly f3=(x2+y2+z2-6)*(x-y)*(x-z)*(z-3);
    ideal I=f1,f2,f3;
    poly g1=(x2+y2+z2-6)*(x-1);
    poly g2=(x2+y2+z2-6)*(y-2);
    poly g3=(x2+y2+z2-6)*(z-3);
    ideal J=g1,g2,g3;
    def W=Equal(I,J);
    ==>
    Equality:
    0
    def W=Equal(J,J);
    ==>
    Equality:
    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.